Copied to clipboard

Flag this post as spam?

This post will be reported to the moderators as potential spam to be looked at


  • Sarath 2 posts 72 karma points
    Oct 11, 2019 @ 15:55
    Sarath
    0

    Could not load file or assembly 'System.Web.Http, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35'

    tried to update from V7.5.3 to V7.15.1. When I tried to update I got the above error. What I did

    • Downloaded and extracted
    • Replaced bin,umbrco,umbraco client folders with old site
    • merged the settings in web.config file

    I got the following error

    Could not load file or assembly 'System.Web.Http, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35' or one of its dependencies. The located assembly's manifest definition does not match the assembly reference. (Exception from HRESULT: 0x80131040)
    
  • Mila Pandurska 51 posts 258 karma points
    Oct 14, 2019 @ 06:40
    Mila Pandurska
    1

    Hi Sarath,

    Check the version System.Web.Http which you have in your bin directory. Then check which version your web.config reference. They should match.

    Mila

  • AddWeb Solution Pvt. Ltd 34 posts 187 karma points
    Oct 14, 2019 @ 07:44
    AddWeb Solution Pvt. Ltd
    1

    Hello Sarath,

    the dll reference might be missing or the the dll version and web.config version of dll are different

  • Kevin Jump 1534 posts 9805 karma points MVP 3x c-trib
    Oct 14, 2019 @ 09:42
    Kevin Jump
    1

    Hi

    just had the same issue after upgrading some packages (did a few, so can't say which one).

    but what had changed in the web.config was this line:

      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.0.0" newVersion="4.0.0.0" />
      </dependentAssembly>
    

    had become

      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.1.1.0" newVersion="4.1.1.0" />
      </dependentAssembly>
    

    I changed it back to 4.0.0.0 and the site now boots (not 100% sure if all the packages work, but that is next on the list.

  • Sarath 2 posts 72 karma points
    Oct 14, 2019 @ 12:09
    Sarath
    0

    Thanks. It works

Please Sign in or register to post replies

Write your reply to:

Draft